Subject: Re: is there a way to reference the branch point?

From: layer <[email-masked]>
Date: Wed, 03 Feb 2010 13:40:59 -0800

Sverre Rabbelier <[email-masked]> wrote:

>> Heya,
>> 
>> On Fri, Jan 29, 2010 at 23:29, layer <[email-masked]> wrote:
>> > If I make a branch `foo' off master, commit a bunch of times, is there
>> > a way to reference the place on master from which I branched?
>> 
>> Depends, if you make a new branch from master, you can use 'git
>> merge-base', so:
>> 
>> $ # on master
>> $ git checkout -b foo-topic-branch
>> $ # work work
>> $ git commit
>> $ # work work
>> $ git commit
>> 
>> Now you want to know where you branches off from master:
>> 
>> $ git merge-base foo-topic-branch master
>> 
>> That will show you the commit you branches off from, even if master
>> has grown new commits since then.

That works, but what if I don't know it's off master?  Normally, a
human would, but what if this is a script I'm writing?

Thanks.

Kevin